Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrFallback Class Reference

Pango fallback C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrFallback:

List of all members.

## Public Member Functions

Constructors

- AttrFallback (bool enable_fallback)
    Construct a new font fallback attribute.

## Detailed Description

Pango fallback C++ wrapper class.

AttrFallback wraps the fallback attribute (ATTR_FALLBACK).

## Constructor & Destructor Documentation

Xfc::Pango::AttrFallback::AttrFallback | ( | bool | enable_fallback | ) | `[explicit]`

Construct a new font fallback attribute.

Parameters:

  | enable_fallback | Set true if we should fall back on other fonts for characters the active font is missing.

If fallback is disabled, characters will only be used from the closest matching font on the system. No fallback will be done to other fonts on the system that might contain the characters in the text.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3